<ng-template [ngIf]="isInDisplayArchiveDataFileListMode">
  <div class="button-toolbar">
    <button (click)="back()"
            (onEnter)="back()"
            color="primary"
            mat-button
            solidifyShortCuts
    >
      <solidify-icon [iconName]="iconNameEnum.back"></solidify-icon>
      {{labelTranslateEnum.backToArchiveDetail | translate}}
    </button>
    @if (haveRightToDownloadObs | solidifyAsync) {
      @if (listSelection | isNullOrUndefinedOrEmptyArray) {
        <dlcm-home-download-archive-button [archive]="archive"
                                           (downloadChange)="downloadArchive($event)"
        >
        </dlcm-home-download-archive-button>
      } @else {
        <button (click)="downloadSelection()"
                (onEnter)="downloadSelection()"
                color="primary"
                mat-button
                mat-flat-button
                solidifyShortCuts
        >
          <solidify-icon [iconName]="iconNameEnum.download"></solidify-icon>
          {{
                labelTranslateEnum.downloadXFiles | translate:{files: listSelection.length}
          }}
        </button>
      }
    }
  </div>

  <div class="header">
    <div class="left-part">
      <div *ngIf="!(foldersWithIntermediateFoldersObs | async | isNullOrUndefined) && (foldersWithIntermediateFoldersObs | async | isNonEmptyArray)"
           class="selector-file-view-mode"
      >

        <a (click)="selectFolder('/')"
           [class.is-active]="currentFileViewMode === fileViewModeEnum.FolderView"
           [class.no-hover-animation]="currentFileViewMode === fileViewModeEnum.FolderView"
        >
          <solidify-icon [iconName]="iconNameEnum.foldersView"></solidify-icon>
          {{'deposit.file.button.showTree' | translate}}
        </a>

        <a (click)="selectFolder(undefined)"
           [class.is-active]="currentFileViewMode === fileViewModeEnum.FlatView"
           [class.no-hover-animation]="currentFileViewMode === fileViewModeEnum.FlatView"
        >
          <solidify-icon [iconName]="iconNameEnum.filesView"></solidify-icon>
          {{'deposit.file.button.flatView' | translate}}
        </a>
      </div>

      <ng-template [ngIf]="dataTablePresentational?.multiSelectionValueOnAllPages.length > 0">
        <ng-container *ngFor="let bulkAction of bulkActions">
          <button (click)="dataTablePresentational?.callBulkAction(bulkAction)"
                  (onEnter)="dataTablePresentational?.callBulkAction(bulkAction)"
                  *ngIf="bulkAction.displayCondition(dataTablePresentational?.multiSelectionValueOnAllPages) | solidifyAsync"
                  [disabled]="isLoadingDataFileObs | async"
                  color="primary"
                  mat-button
                  solidifyShortCuts
                  type="button"
          >
            <solidify-icon [iconName]="bulkAction.icon"></solidify-icon>
            {{bulkAction.labelToTranslate() | solidifyAsync | translate}}
          </button>
        </ng-container>
      </ng-template>
    </div>
    <div class="right-part">

    </div>
  </div>

  <div [solidifyFocusFirstElement]="true"
       class="file-viewer"
       [class.with-folder]="currentFileViewMode === fileViewModeEnum.FolderView && (foldersWithIntermediateFoldersObs | async) | isNonEmptyArray"
  >
    <ng-template [ngIf]="currentFileViewMode === fileViewModeEnum.FolderView && (foldersWithIntermediateFoldersObs | async) | isNonEmptyArray">
      <ng-container *ngIf="(intermediateFoldersObs | async) as intermediateFolders">
        <solidify-folder-tree (downloadFolder)="downloadFolder($event)"
                              (selectChange)="selectFolder($event)"
                              *ngIf="!(intermediateFolders | isNullOrUndefined)"
                              [canDownload]="haveRightToDownloadObs | solidifyAsync"
                              [currentFolder]="currentFolderObs | async"
                              [expandFirstLevel]="true"
                              [foldersWithIntermediateFolders]="foldersWithIntermediateFoldersObs | async"
                              [intermediateFolders]="intermediateFolders"
                              [isLoading]="isLoadingDataFileObs | async"
        ></solidify-folder-tree>
      </ng-container>
    </ng-template>

    <solidify-data-table *ngIf="listDataFileObs | async | isNotNullNorUndefined"
                         #dataTablePresentational
                         (queryParametersChange)="onQueryParametersEvent($event)"
                         (queryParametersWithoutRefreshChange)="onQueryParametersEvent($event, false)"
                         (selectChange)="showDetail($event)"
                         [defaultMultiSelection]="listSelectionOnCurrentFolder"
                         (multiSelectionChange)="multiSelectionChangeFiles($event)"
                         [actions]="actions"
                         [bulkActions]="bulkActions"
                         [columnsSkippedToClear]="$any(columnsToSkippedFilter)"
                         [columns]="columns"
                         [data]="listDataFileObs | async"
                         [solidifyDataTest]="dataTestEnum.depositFileDataTable"
                         [isDraggable]="false"
                         [isLoading]="isLoadingDataFileObs | async"
                         [isMultiSelectable]="haveRightToDownloadObs | solidifyAsync"
                         [listCdkDropListId]="foldersWithIntermediateFoldersObs | async"
                         [displaySpinnerWhenLoading]="true"
                         [preloadRowsForPage]="true"
                         [queryParameters]="queryParametersObs | async"
                         [skipInitialQuery]="true"
                         [displayActionCopyIdToClipboard]="true"
    >
    </solidify-data-table>
  </div>
</ng-template>

<router-outlet></router-outlet>
